from masto_ld.templates import WikiPage

class Property(WikiPage):
    """Trivial subclass to indicate that these are properties!"""
    pass

Tag = Property(
    name="Property:Tag",
    body="""
[[Has type::Record]]
[[Has fields::ShortName;LongName]]
"""
)

ShortName = Property(
    name="Property:ShortName",
    body="""
A short name [[Used In::Property:Tag]]
[[Has type::Text]]
"""
)

LongName = Property(
    name="Property:LongName",
    body="""
A long name [[Used In::Property:Tag]]
[[Has type::Page]]
"""
)

HasThread = Property(
    name="Property:Has_Thread",
    body="""
To specify a thread page that is about this page!
[[Has type::Page]]
[[Imported from::schema:subjectOf]]
"""
)

About = Property(
    name="Property:About",
    body="""
To specify that something is about another thing!
[[Has type::Page]]
[[Imported from::schema:about]]
"""
)

