from masto_ld.templates import WikiPage
from typing import List

class Template(WikiPage):
    """Trivial subclass to indicate template!"""
    params: List[str]

Thread = Template(
    name="Template:Thread",
    params= ['About', 'URL'],
    body="""
<includeonly>
{|class="wikitable sortable"
! About
| [[About::{{{About|}}}]]
|-
! Thread URL
| [[Has URL::{{{URL|}}}]]
|}
[[Category:Thread]]
</includeonly>
"""
)